@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&display=swap");

* {
    font-family: "Poppins", sans-serif;
}

body {
    background: #fdfefe !important;
}

.sidebar {
    background: #ffffff;
    border: 1px solid rgba(0, 0, 0, 0.04);
    box-shadow: 0px 4px 52px rgba(202, 207, 223, 0.25);
    border-radius: 10px;
    .welcome {
        padding-bottom: 15px;
        margin-bottom: 15px;
        border-bottom: 1px solid #f3ebeb;
        img {
            width: 50px;
            height: 50px;
            object-fit: contain;
            margin-right: 10px;
        }
        .text {
            color: #252f40;
            span {
                font-size: 13px;
            }
            h3 {
                font-size: 13px;
                font-weight: 700;
                margin: 0;
            }
        }
    }
    .nav {
        .nav-link {
            color: rgba(0, 0, 0, 0.34);
            display: flex;
            align-items: center;
            padding: 12px 25px;
            &.active {
                background: #4e7ba8;
                border: none;
            }
            img {
                width: 15px;
                height: 15px;
                object-fit: contain;
                margin-right: 15px;
            }
            span {
                font-size: 14px;
            }
            hr {
                background: #ece7e7;
            }
        }
        .list-dropdown-sidebar{
            li{
                padding: 5px 40px;
                font-size: 14px;
                a{
                    color: rgba(0, 0, 0, 0.34);
                    text-decoration: none;
                }
            }
        }
    }
}

.image-area{
    padding: 0px 10px;
    .image{
        width: 40px;
        height: 40px;
        margin-right: 10px;
        img{
            background: #B8E1EB;
            width: 40px;
            height: 40px;
            object-fit: cover;
            border-radius: 50%;
        }
        .online-status{
            width: 8px;
            height: 8px;
            border-radius: 50%;
            position: relative;
            margin-right: 0;
            margin-left: 30px;
            bottom: 10px;
            outline: 3px solid #ffffff;
            &.online{
                background: #C2CE35;
            }
        }
    }
    .text{
        h3{
            font-size: 14px;
            font-weight: 700;
            color: #5271B8;
            margin-bottom: 5px;
        }
        span{
            font-size: 12px;
            color: #B0B5BD;
        }
    }
}

h1 {
    &.page-title {
        font-size: 20px;
        color: #000000;
        font-weight: 600;
    }
}

h3 {
    &.jadwal-title {
        font-size: 14px;
        color: #000000;
        font-weight: 600;
    }
}

.notes {
    background-color: #4e7ba8;
    color: #ffffff;
    border-radius: 20px;
    border-bottom-left-radius: 0;
    background-image: url(../img/Union.png);
    background-position: bottom left;
    background-repeat: no-repeat;
    .text {
        margin-left: 100px;
        h3 {
            font-size: 14px;
            font-weight: 700;
            margin-bottom: 5px;
        }
        p {
            font-size: 12px;
            margin-bottom: 0px;
        }
    }
    button {
        background: #71c3d6;
        color: #ffffff;
        font-weight: 600;
        font-size: 14px;
        display: flex;
        align-items: center;
        border-radius: 10px;
        padding: 20px;
        height: 45px;
        &:hover {
            color: #ffffff;
        }
        i {
            font-size: 24px;
            margin-right: 10px;
        }
    }
}

.top-detail-area {
    box-shadow: 0px 4px 52px rgba(202, 207, 223, 0.25);
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    .image-area{
        .image{
            width: 95px;
            height: 95px;
            margin-bottom: 10px;
            img{
                width: 95px;
                height: 95px;
            }
            .online-status{
                width: 20px;
                height: 20px;
                border-radius: 50%;
                position: relative;
                margin-right: 0;
                margin-left: 70px;
                bottom: 23px;
                outline: 4px solid #ffffff;
                &.online{
                    background: #C2CE35;
                }
            }
        }
        .text{
            text-align: center;
            h3{
                font-size: 16px;
                margin-bottom: 0px;
            }
            span{
                font-size: 14px;
                strong{
                    font-weight: 600px;
                }
            }
        }
    }
}

.bottom-detail-area {
    box-shadow: 0px 4px 52px rgba(202, 207, 223, 0.25);
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
    background: #FFFAFA;
    h4{
        color: #4E7BA8;
        font-size: 16px;
        font-weight: 600;
        margin-bottom: 5px;
    }
    p{
        color: #4E7BA8;
        font-size: 14px;
    }
}

.daftar-pengumuman{
    h2{
        color: #000000;
        font-weight: 600;
        font-size: 14px;
    }
    .pengumuman{
        background: #ffffff;
        box-shadow: 0px 4px 52px rgba(202, 207, 223, 0.25);
        border-radius: 10px;
        padding: 10px;
        img{
            border-radius: 10px;
            margin-bottom: 10px;
        }
        h4{
            font-size: 12px;
            font-weight: 700;
            color: #4E7BA8;
            margin-bottom: 5px;
        }
        span.date{
            color: #4E7BA8;
            font-size: 8px;
            margin-bottom: 10px;
        }
        p{
            color: rgba(0, 0, 0, 0.34);
            font-size: 8px;
        }
        button{
            background: #4E7BA8;
            color: #ffffff;
            padding: 3px 5px;
            font-size: 8px;
        }
    }
}

.jadwal{
    .head{
        display: flex;
        justify-content: center;
        text-align: center;
        padding: 10px;
        margin-bottom: 10px;
        border-radius: 5px;
        h5{
            font-size: 12px;
            font-weight: 700;
            margin-bottom: 0px;
            color: #ffffff;
        }
    }
    .body{
        color: #4F4B4B;
        padding: 10px;
        border-radius: 5px; 
        .title{
            font-size: 12px;
            font-weight: 700;
        }
        p{
            font-size: 10px;
            margin-bottom: 0px;
        }
        .badge{
            font-size: 8px;
            font-weight: 400;
            padding: 5px 7px;
            &.bg-remidi{
                background: #F25151;
            }
            &.bg-ulangan{
                background: #C2CE35;
            }
        }
    }
    &:nth-child(odd){
        .head{
            background: #4E7BA8;
        }
        .body{
            background: #C9E2E8;
        }
    }
    &:nth-child(even){
        .head{
            background: #71C3D6;
        }
        .body{
            background: #DEEBEE;
        }
    }
}